/*****************************************************************************
 * Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: batch_reg_reports_crd4
 *
 * PURPOSE: CRiskM batch run
 *
 *   USAGE: 
 *
 *   NOTES: 1. This runs data for regulatory projects
 *  MODIFIED V4.8
 *  If running in batch - set 
 *  RISKREPO (YES/NO)
 *  REGPROJECTNAME (ALL or a report_cd)
 *  OLAP (NO)
 *****************************************************************************/

%macro batch_reg_reports_crd4;

%u00_recreate_macro_definitions; 

%u_00_prepare_portfolio_header;  
%getdelimiter;

/*-Initialize the process-*/
%a00_init_options ;
%a00_initial_regrpt;
%a10_create_regrpt_fmt_crd4;

/*-Prepare the portfolio files for each report. This produces-*/
/*-a data set that is read into Risk Dimensions below-*/
%b15_prep_regrpt_port_crequ_crd4;
%b20_prep_regrpt_port_sec_sa_crd4;
%b20_prep_regrpt_port_crgb3_crd4;
%b20_prep_regrpt_port_secirb_crd4;
%b25_prep_regrpt_port_crirb_crd4;
%b25_prepare_regrpt_port_le_crd4;
%b30_prep_regrpt_port_le45_crd4;
%b30_prep_regrpt_le_limits_crd4;
%b30_prep_regrpt_port_crsa_crd4;
%b35_prep_regrpt_port_ca_crd4;
%b35_prep_regrpt_port_cva_crd4;
%b40_prepare_regrpt_port_lr_crd4; 
%b45_prepare_regrpt_sec_det_crd4;

/*-Create the variables needed for the RD environment-*/
%c00_create_regrpt_environment;
%c10_def_regrpt_inst_var_crd4;
%c10_def_regrpt_output_var_crd4;
%c20_def_regrpt_ccvars_crd4;

/*-Create method programs-*/
%d00_pm_regrpt_crd4;
/*%d00_pm_rollup;*/
%d00_pm_regrpt_rollup_crd4;

/*-Create instrument types-*/
%d10_def_regrpt_inst_types_crd4;

/*-Create the portfolios-*/
%d20_create_regrpt_portfolios;

%u00_save_macro_definitions;

/*-Execute the projects. Note that there-*/
/*-is one for each report-*/
%e10_project_regrpt_cr_equ_crd4;
%e10_proj_regrpt_cap_crirb_crd4;
%e10_project_regrpt_le2_crd4;
%e10_project_regrpt_le3_crd4;
%e10_project_regrpt_le4_crd4;
%e10_project_regrpt_le5_crd4;
%e10_proj_regrpt_le_limits_crd4;
%e10_proj_regrpt_cap_crsa_crd4; 
%e10_proj_regrpt_cap_gb3_crd4;
%e10_prj_regrpt_cap_crgb_sa_crd4;
%e10_prj_regrpt_cap_gb_irba_crd4
%e10_proj_regrpt_capital_ca_crd4;
%e10_proj_regrpt_cap_sec_sa_crd4;
%e10_proj_regrpt_cap_lr2_crd4; 
%e10_proj_regrpt_cap_lr4_crd4; 
%e10_project_regrpt_cva_crd4;
%e10_project_regrpt_sec_det_crd4;
%e10_proj_regrpt_cap_secirb_crd4;

%mend batch_reg_reports_crd4;
