/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: c05_create_cpty_var_crd4.sas
 *
 * PURPOSE: Declare variables for counterparty objects.
 * 
 *
 *   USAGE: 
 *
 *   NOTES:
 *          
 *
 *****************************************************************************/

%macro c05_create_cpty_var_crd4;

proc risk noseqcheck ;

env open = RD_TEMP.&RD_TEMPLATE ;

declare cptyvars = ( CPTY_RK num var label = 'Counterparty Rk',
                     CPTY_CLASS char 32 var label = "Counterparty Class",
                     CPTY_SUBCLASS char 32 var label = "Counterparty Subclass",
                     CPTY_EXT_MAP_RATING char 8 var label = "Mapped Counterparty Rating",
                     STD_RW_BUCKET_CPTY char 8 var label = "Counterparty Rating Bucket",
                     STD_RW_BUCKET_SOVEREIGN char 8 var label = "Sovereign Rating Bucket",
                     COUNTERPARTY_PD_MODEL_ID char 32 var label = "Counterparty PD Model ID",
                     COUNTERPARTY_PD_RATING_GRADE char 32 var label = "Counterparty PD Model Rating Grade",
                     CPTY_SIZE num var label = "Firm Size in Counterparty Reporting Currency",
                     RISK_WEIGHT_CPTY num var label = "Specified Counterparty RW (%)",
                     COUNTERPARTY_SIZE num computed label = "Firm Size in Reporting Currency",
                     STD_RW_CPTY num computed label = "Counterparty RW: STD",
                     STD_RW_CPTY_RESERVE num computed label = "Counterparty RW: STD(for reserve exposure)",
                     STD_RW_CPTY_PREF num computed label = "Counterparty RW: STD (for BANK preferential)",
                     STD_RW_CPTY_SHORT num computed label = "Counterparty RW: STD (for Short-term exposures)",
                     PD_CPTY num computed label = "Counterparty Probability of Default (%)",
                     REPORT_CURRENCY char 3 var label = "Counterparty Reporting Currency",
                     COUNTERPARTY_PD_PCT num var label = "Counterparty PD (supplied)", 
                     STD_SOV_DOM_PREF_TREATMENT char 3 var label = "Domestic sovereigns preferential treatment",
                     STD_BANK_DOM_PREF_TREATMENT char 3 var label = "Domestic short-term preferential treatment",
                     CPTY_COUNTRY_CURRENCY char 32 var label = "Domestic currencies for counterparty",
                     STD_ZERO_RW_FLG num var label = "STD zero risk weight flag",   
                     CENTGOV_TREAT_FLG num var label = "Central Government Treatment Flag",
                     CPTY_RW_FROM_CENTGOV_FLG num computed label = "Counterparty RW Derived from Central Gov Flag",
                     CPTY_UNRATED num computed label = "Counterparty is unrated",
                     CVA_STD_CPTY_RW_BUCKET num var label = "CVA Std. Approach Weight Bucket", 
                     CVA_STD_WGT num computed label = "CVA Standarized Weight"
            );

environment save noupdatemetadata;

run;

%mend c05_create_cpty_var_crd4;
