/*****************************************************************************
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME: c10_def_regrpt_inst_var_crd4.sas
*
* PURPOSE: Define additional instrument variables for regulatory reporting
*
*   USAGE:
*
*   NOTES:
*
*
*****************************************************************************/
 
%macro c10_def_regrpt_inst_var_crd4;

proc risk noseqcheck ;
 
environment open = RD_PROJ.REGRPT;
declare instvars = (
EXPOSURE_CLASS_LEVEL_1     char 25 CLASS,
EXPOSURE_CLASS_LEVEL_2     char 25 CLASS,
EXPOSURE_CLASS_LEVEL_3     char 25 CLASS,
EXPOSURE_CLASS_SA_LEVEL_1  char 32 CLASS,
EXPOSURE_CLASS_SA_LEVEL_2  char 32 CLASS,
EXPOSURE_TYPE              char 25 CLASS,
CRM_GROUP                  char 25 CLASS,
CRM_PRODUCT                char 32 CLASS,
COLLATERAL_TYPE            char 32 CLASS,
SME_SUPPORT_FACTOR         char 32 CLASS,   
OBLIGOR_FLAG               char 25 CLASS,
OBLIGOR_GRADE              char 32 CLASS,
OTHER_CR_CLASSES           char 25 CLASS,
RATING_STATUS              char 25 CLASS,
REGRPT_CCF_BUCKET          char 32 CLASS,
REGRPT_RW_BUCKET           char 25 CLASS,
CQS_BUCKET                 char 32 CLASS,
RW_GROUPS                  char 25 CLASS,
RW_SUB_GROUP               char 25 CLASS,
SEC_STRUCTURE_SUBTYPE      char 40 CLASS,
SL_TYPE                    char 25 CLASS,
SL_FLAG                    char 25 CLASS,
SL_OF_WHICH_CAT1           char 25 CLASS,   
OWN_LGD_CCF_ESTIMATES      char 25 CLASS,
SENIORITY_STATUS           char 32 CLASS,
MAT_MISMATCH_WEIGHT_CRM     NUM     VAR,
CCF                         NUM     VAR,
EAD_PORTION                 NUM     VAR,
FUNDED                      NUM     VAR,
HAIRCUT_CRM                 NUM     VAR,
HAIRCUT_EXP                 NUM     VAR,
HAIRCUT_FX                  NUM     VAR,
UNFUNDED                    NUM     VAR,
RW_LOOK_THROUGH_UPDATE_FLG  NUM     VAR,
VALID_PROVISION             NUM     VAR,
_pd_val_                    NUM     VAR,
SIMPLE_RW_GROUP            char 8  CLASS,
FIN_COLL_ADJ_VAL_AMT        NUM     VAR,                    
EAD_ADJ                     NUM     VAR,
FUNDED_UNDERLYING           NUM     VAR,
REGRPT_RW_BUCKET_SEC      char 25 CLASS,
RETAINED_AMT                NUM     VAR,
UNFUNDED                    NUM     VAR,
UNFUNDED_UNDERLYING         NUM     VAR,
TRANCHE_LOSS_RANK           NUM     VAR,
TRADING_BOOK_FLG          char 3    VAR,
REGRPT_OBLIGOR_GRADE       char 32 class,
PAST_DUE_STATUS            char 25 class,
REGRPT_EQUITY_TYPE         char 25 class,
LARGE_FI_ENTITY_FLG        NUM     VAR,
COUNTERPARTY_COUNTRY       char 25 CLASS,
IN_DEFAULT_STATUS          char 32 CLASS,
APPROACH_USAGE             char 9  CLASS,
COUNTERPARTY_TYPE          char 32 CLASS,
EL_AMT                             NUM     VAR,
EXPOSURE_SUBTYPE           char 25 CLASS,
EXPOSURE_CLASS_IRB_LEVEL_1          char 40 CLASS,
LECPTYID             char 32 CLASS,
LE_COUNTERPARTY_RK          NUM VAR,
DIR_EXP_EQU                 NUM VAR,
DIR_EXP_DEBT                NUM VAR,
DIR_EXP_DERIV               NUM VAR,
IND_EXP_EQU                 NUM VAR,
IND_EXP_DEBT                NUM VAR,
IND_EXP_DERIV               NUM VAR,
DIR_EXP_OBSI_LOAN           NUM VAR,
DIR_EXP_OBSI_GUAR           NUM VAR,
DIR_EXP_OBSI_OTHER          NUM VAR,
IND_EXP_OBSI_LOAN           NUM VAR,
IND_EXP_OBSI_GUAR           NUM VAR,
IND_EXP_OBSI_OTHER          NUM VAR,
UNDERLYING_EXP_EAD          NUM VAR,
TOT_ORIG_EXP            NUM VAR,
TOT_ORIG_EXP_DEF    NUM VAR,
SUM_EAD_PORTION NUM VAR,
VALUE_ADJ_AMT               NUM VAR,
CRM_EXP_EQU                 NUM VAR,
CRM_EXP_DEBT                NUM VAR,
CRM_EXP_DERIV               NUM VAR,
CRM_EXP_OBSI_LOAN           NUM VAR,
CRM_EXP_OBSI_GUAR           NUM VAR,
CRM_EXP_OBSI_OTHER          NUM VAR,
CREDIT_PROT_NOT_SUB_EFFECT  NUM VAR,
LE_EXEMPTED_AM              NUM VAR,
ELIG_CRM_RE                 NUM VAR,
TOT_ELIG_CAP                NUM VAR,
LE_CAP_CHG                  NUM VAR,
LE_PRODUCT_CLASS        char 32 CLASS,
LE_OBSI_TYPE            char 32 CLASS,
UNDERLYING_FLG          char 32 CLASS,
CPTY_TYPE           char 32 CLASS,
NACE            char 32 CLASS,
/*CVA INSTVARS*/
CVA_EAD_ADJ_OTC    NUM VAR,
CVA_EAD_ADJ_SFT     NUM VAR,
CVA_COUNTERPARTY_COUNT  NUM VAR, 
CVA_CDS_NOTIONAL_AMT NUM VAR,
CVA_INDEX_NOTIONAL_AMT NUM VAR,
CVA_CHARGE_AMT NUM VAR,
CVA_CALCULATION_METHOD_TYPE char 32 CLASS,
STD_RW_FROM_CENTGOV_FLG  NUM     VAR,
STD_RW_FROM_ECAI_FLG  NUM     VAR, 

/*LR INSTVARS */
APPROACH                 char 32 CLASS,
CCF                      NUM VAR,
SPECIFIC_PROVISION       NUM VAR,
EAD                      NUM VAR,
LR_RW_BUCKET             char 32 CLASS,
LR_EXPOSURE_CLASS_LEV_1  char 32 CLASS,
LR_EXPOSURE_CLASS_LEV_2  char 32 CLASS,
LR_EXPOSURE_CLASS_LEV_3  char 32 CLASS,
LR_EXPOSURE_CLASS_LEV_4  char 32 CLASS,
LR_EXPOSURE_CLASS_LEV_5  char 32 CLASS,

RWA_PRE_SME              NUM VAR,

/* SEC_SA new variables */
SEC_INFRINGE_ADJUST_AMT  NUM VAR,
RWA_SEC_MAT_MIS_ADJ_AMT  NUM VAR,
RWA_BEFORE_CAP           NUM VAR,
RWA                      NUM VAR,
_COSTVAR_                NUM VAR,
RWA_SEC_MEMO_AMT         NUM VAR,
PRIMARY_BANK_ROLE        char 32 CLASS,
SEC_DEDUCTION_AMT        NUM VAR,
SEC_TOTAL_AMT_ORIGINATED NUM VAR,
CRM_COMP_FLG             NUM VAR,
RWA_SEC_ORIG 			 NUM VAR,
/* le 4 5 new variables*/
MATURITY_DESCRIPTION	char 32 CLASS,
CASHFLOW_AMT			NUM VAR,
SUM_CASHFLOW_AMT			NUM VAR,
SUM_value_adj_amt			NUM VAR,

/*- SEC Details instvars -*/
INTERNAL_CODE                        CHAR 32  CLASS,
SECURITIZATION_ID                    CHAR 32  CLASS,
ORIGINATOR_ID                        CHAR 32  CLASS,
SECURITIZATION_TYPE                  CHAR 1   CLASS,
ACCOUNTING_TREATMENT                 CHAR 1   CLASS,
SOLVENCY_TREATMENT                   CHAR 1   CLASS,
SECURITIZATION_RESEC                 CHAR 1   CLASS,
RETENTION_TYPE                       CHAR 1   CLASS,
RETENTION_PCT                        NUM      VAR,
RETENTION_COMPLIANCE                 CHAR 1   CLASS,
INSTITUTION_ROLE                     CHAR 1   CLASS,
NON_ABCP_ORIGINATION_DATE            NUM      VAR,
NON_ABCP_ORIGINATION_AMT             NUM      VAR,
TOTAL_AMOUNT                         NUM      VAR,
INSTITUTION_SHARE                    NUM      VAR,
ASSET_LIABILITY_TYPE                 CHAR 3   CLASS,
APPROACH_APPLIED                     CHAR 1   CLASS,
NUMBER_OF_EXPOSURES                  NUM      VAR,
COUNTRY                              CHAR 3   CLASS,
ELGD                                 NUM      VAR,
VALUE_ADJUST_PROVISIONS              NUM      VAR,
OWN_FUND_REQ_PRE_SECURITIZATION      NUM      VAR,
ON_BS_SENIOR_TRANCHE_VALUE           NUM      VAR,
ON_BS_MEZZ_TRANCHE_VALUE             NUM      VAR,
ON_BS_FIRST_LOST_TRANCHE_VALUE       NUM      VAR,
OFF_BS_SENIOR_TRANCHE_VALUE          NUM      VAR,
OFF_BS_MEZZ_TRANCHE_VALUE            NUM      VAR,
OFF_BS_FIRST_LOST_TRANCHE_VALUE      NUM      VAR,
FIRST_TERMINATION_DATE               NUM      VAR,
LEGAL_FINAL_DATE                     NUM      VAR,
ON_BS_SENIOR_EXP_VALUE               NUM      VAR,
ON_BS_MEZZ_EXP_VALUE                 NUM      VAR,
ON_BS_FIRST_LOST_EXP_VALUE           NUM      VAR,
OFF_BS_SENIOR_EXP_VALUE              NUM      VAR,
OFF_BS_MEZZ_EXP_VALUE                NUM      VAR,
OFF_BS_FIRST_LOST_EXP_VALUE          NUM      VAR,
DCS_MEMO                             NUM      VAR,
IRS_CRS_MEMO                         NUM      VAR,
FAC_MEMO                             NUM      VAR,
OTHER_MEMO                           NUM      VAR,
CCF_APPLIED                          NUM      VAR,
OWN_FUNDS_DEDUCTION                  NUM      VAR,
PRE_CAP_EXPOSURE                     NUM      VAR,
POST_CAP_EXPOSURE                    NUM      VAR,
CTP_NON_CTP                          CHAR 1   CLASS,
LONG_POSITION_NET                    NUM      VAR,
SHORT_POSITION_NET                   NUM      VAR,
SPECIFIC_RISK                        NUM      VAR
);
 
environment save noupdatemetadata;

run;
 
 
/* Data driven registration of the CA-template instruments */
 
proc contents noprint nodetails
data=rd_stage.financial_reporting_data
out=work._fin_instr_ (keep=name);
run;
 
data work._fin_instr_;
length TYPE $8. ROLE $8.;
set work._fin_instr_;
TYPE = 'NUM';
ROLE = 'VAR';
KIND = 'INSTRUMENT';
LENGTH = 8;
FORMAT = 'NLNUM';
FORMATL = 20;
FORMATD = 4;
 
if NAME = 'INTERNAL_ORG_RK' then
do;
TYPE = 'CHAR';
ROLE = 'CLASS';
KIND = 'INSTRUMENT';
LENGTH = 25;
FORMAT = .;
FORMATL = .;
FORMATD = .;
end;
run;
 
proc risk noseqcheck ;
env open = RD_PROJ.REGRPT;
readvars data = work._fin_instr_;
environment save noupdatemetadata;
run;
 
/* Registration of cross classification variable*/
proc risk noseqcheck ;
 
environment open = RD_PROJ.REGRPT;
 
declare instvars = (INTERNAL_ORG_RK char 25  class);
 
environment save noupdatemetadata;
 
run;
%mend c10_def_regrpt_inst_var_crd4;
