/*****************************************************************************
 * Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: create_crsec_irb_rpt_types_crd4.sas
 *
 * PURPOSE: create report types for crsec_irb report.
 *
 *   USAGE:
 *
 *   NOTES:
 *
 *
 *****************************************************************************/
%macro create_crsec_irb_rpt_types_crd4;
	
	
data _null_;
filename f1 temp;
file f1;
put "+";
/*From the Annexure-2 Instructions, for SR SEC IRB Template: 
1.	The CR SEC SA template gathers joint information on both traditional and synthetic securitisations held in the banking book, as defined in Article 242 (10) and (11) of CRR, respectively.
*/
/*put "TRADITIONAL";
put "SYNTHETIC";*/ 
run;

data _types_sec1;
  infile f1;
  length &&rptvar1 $32.;
        input &&rptvar1 $;
run;

data _null_;
filename f1 temp;
file f1;
put "10    +           +           +                + +     +      ";
put "20    +           +           RESECURITIZATION + +     + ";
put "30    ORIGINATOR  +           +                + +     +";
put "40    ORIGINATOR  ON_BALANCE  +                + +     +";
put "50    ORIGINATOR  ON_BALANCE  SECURITIZATION   A +     +";
put "60    ORIGINATOR  ON_BALANCE  SECURITIZATION   B +     +";
put "70    ORIGINATOR  ON_BALANCE  SECURITIZATION   C +     +";
put "80    ORIGINATOR  ON_BALANCE  RESECURITIZATION D +     +";
put "90    ORIGINATOR  ON_BALANCE  RESECURITIZATION E +     +";
put "100   ORIGINATOR  OFF_BALANCE +                + +     +";
put "110   ORIGINATOR  OFF_BALANCE SECURITIZATION   A +     +";
put "120   ORIGINATOR  OFF_BALANCE SECURITIZATION   B +     +";
put "130   ORIGINATOR  OFF_BALANCE SECURITIZATION   C +     +";
put "140   ORIGINATOR  OFF_BALANCE RESECURITIZATION D +     +";
put "150   ORIGINATOR  OFF_BALANCE RESECURITIZATION E +     +";
put "160   ORIGINATOR  EARLY_AMT   +                + +     +";
put "170   INVESTOR    +           +                + +     +";
put "180   INVESTOR    ON_BALANCE  +                + +     +";
put "190   INVESTOR    ON_BALANCE  SECURITIZATION   A +     +";
put "200   INVESTOR    ON_BALANCE  SECURITIZATION   B +     +";
put "210   INVESTOR    ON_BALANCE  SECURITIZATION   C +     +";
put "220   INVESTOR    ON_BALANCE  RESECURITIZATION D +     +";
put "230   INVESTOR    ON_BALANCE  RESECURITIZATION E +     +";
put "240   INVESTOR    OFF_BALANCE +                + +     +";
put "250   INVESTOR    OFF_BALANCE SECURITIZATION   A +     +";
put "260   INVESTOR    OFF_BALANCE SECURITIZATION   B +     +";
put "270   INVESTOR    OFF_BALANCE SECURITIZATION   C +     +";
put "280   INVESTOR    OFF_BALANCE RESECURITIZATION D +     +";
put "290   INVESTOR    OFF_BALANCE RESECURITIZATION E +     +";
put "300   SPONSOR     +           +                + +     +";
put "310   SPONSOR     ON_BALANCE  +                + +     +";
put "320   SPONSOR     ON_BALANCE  SECURITIZATION   A +     +";
put "330   SPONSOR     ON_BALANCE  SECURITIZATION   B +     +";
put "340   SPONSOR     ON_BALANCE  SECURITIZATION   C +     +";
put "350   SPONSOR     ON_BALANCE  RESECURITIZATION D +     +";
put "360   SPONSOR     ON_BALANCE  RESECURITIZATION E +     +";
put "370   SPONSOR     OFF_BALANCE +                + +     +";
put "380   SPONSOR     OFF_BALANCE SECURITIZATION   A +     +";
put "390   SPONSOR     OFF_BALANCE SECURITIZATION   B +     +";
put "400   SPONSOR     OFF_BALANCE SECURITIZATION   C +     +";
put "410   SPONSOR     OFF_BALANCE RESECURITIZATION D +     +";
put "420   SPONSOR     OFF_BALANCE RESECURITIZATION E +     +";
put "430   +           +           +                + CQS1  IRB_RBA";
put "440   +           +           +                + CQS2  IRB_RBA";
put "450   +           +           +                + CQS3  IRB_RBA";
put "460   +           +           +                + CQS4  IRB_RBA";
put "470   +           +           +                + CQS5  IRB_RBA";
put "480   +           +           +                + CQS6  IRB_RBA";
put "490   +           +           +                + CQS7  IRB_RBA";
put "500   +           +           +                + CQS8  IRB_RBA";
put "510   +           +           +                + CQS9  IRB_RBA";
put "520   +           +           +                + CQS10 IRB_RBA";
put "530   +           +           +                + CQS11 IRB_RBA";
put "540   +           +           +                + OTHER IRB_RBA";

run;
data _rowcond;
infile f1;
length rownum 3. &&rptvar2 $11. &&rptvar3 $12. &&rptvar4 $16. &&rptvar5 $2. &&rptvar6 $9. &rptvar7 $8. ;
input   rownum 
        &&rptvar2 $   
        &&rptvar3 $     
        &&rptvar4 $    
        &&rptvar5 $ 
        &&rptvar6 $ 
		&&rptvar7 $ 
;
                
run;

%mend create_crsec_irb_rpt_types_crd4;
