/*****************************************************************************
* Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME: d10_def_regrpt_inst_types_crd4.sas
*
* PURPOSE: Define instrument types for regulatory reporting
*
*   USAGE:
*
*   NOTES:
*
*
*****************************************************************************/
 
%macro d10_def_regrpt_inst_types_crd4;

proc risk noseqcheck ;
 
environment open = RD_PROJ.REGRPT;
 
instrument regrpt_crirb_exp
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 CRM_USED_AMT_EFF
EAD_PORTION CCF_PCT EXPOSURE_TYPE OBLIGOR_GRADE OTHER_CR_CLASSES SL_TYPE RWA_PRE_SME
CRM_GROUP CRM_PRODUCT SL_FLAG OBLIGOR_FLAG VALID_PROVISION _pd_val_ SL_OF_WHICH_CAT1
OWN_LGD_CCF_ESTIMATES LARGE_FI_ENTITY_FLG EXPOSURE_SUBTYPE EXPOSURE_CLASS_IRB_LEVEL_1 
EL_AMT IN_DEFAULT_STATUS SME_SUPPORT_FACTOR
)
methods=(PRICE pm_regrpt_crirb_exp);
 
instrument regrpt_crirb_crm
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 CRM_USED_AMT_EFF
EAD_PORTION CCF_PCT EXPOSURE_TYPE OBLIGOR_GRADE OTHER_CR_CLASSES SL_TYPE RWA_PRE_SME
CRM_GROUP CRM_PRODUCT SL_FLAG OBLIGOR_FLAG VALID_PROVISION _pd_val_ SL_OF_WHICH_CAT1
OWN_LGD_CCF_ESTIMATES LARGE_FI_ENTITY_FLG EXPOSURE_CLASS_IRB_LEVEL_1 EL_AMT SME_SUPPORT_FACTOR
)
methods=(PRICE pm_regrpt_crirb_crm);
 
 
instrument regrpt_crsa_exp
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 EXPOSURE_CLASS_SA_LEVEL_1 EXPOSURE_CLASS_SA_LEVEL_2
CRM_USED_AMT EAD_PORTION CCF EXPOSURE_TYPE CRM_PRODUCT EXP_VALUE
HAIRCUT_FX HAIRCUT_CRM HAIRCUT_EXP HAIRCUT_FX MAT_MISMATCH_WEIGHT_CRM RWA_PRE_SME
RW_GROUPS RW_SUB_GROUP REGRPT_CCF_BUCKET VALID_PROVISION IN_DEFAULT_STATUS COUNTERPARTY_TYPE STD_RW_FROM_ECAI_FLG STD_RW_FROM_CENTGOV_FLG
SME_SUPPORT_FACTOR COLLATERAL_TYPE
)
methods=(PRICE pm_regrpt_crsa_exp);
 
instrument regrpt_crsa_crm
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 EXPOSURE_CLASS_SA_LEVEL_1
CRM_USED_AMT_EFF EAD_PORTION CCF EXPOSURE_TYPE CRM_PRODUCT EXP_VALUE
HAIRCUT_FX HAIRCUT_CRM HAIRCUT_EXP HAIRCUT_FX MAT_MISMATCH_WEIGHT_CRM
RW_GROUPS RW_SUB_GROUP REGRPT_CCF_BUCKET VALID_PROVISION
)
methods=(PRICE pm_regrpt_crsa_crm);
 
 
instrument regrpt_equ_exp
 basetype=ROLLUP
 variables=(EAD_PORTION EXPOSURE_TYPE APPROACH SIMPLE_RW_GROUP 
 OBLIGOR_GRADE CRM_GROUP CRM_PRODUCT VALID_PROVISION _pd_val_ IN_DEFAULT_STATUS
 LGD_EXP
 )
 methods=(PRICE pm_regrpt_cr_equ_exp);
  
instrument regrpt_equ_crm
 basetype=ROLLUP
 variables=(EAD_PORTION EXPOSURE_TYPE APPROACH SIMPLE_RW_GROUP 
 OBLIGOR_GRADE CRM_GROUP CRM_PRODUCT VALID_PROVISION _pd_val_
 )
 methods=(PRICE pm_regrpt_cr_equ_crm);


instrument regrpt_crsec_irb
basetype=ROLLUP
variables=(TRANCHE_FACE_VALUE_AMT EXPOSURE_TYPE                                     
RETAINED_AMT SPECIFIC_PROVISION FIN_COLL_ADJ_VAL_AMT
REGRPT_CCF_BUCKET RW_LOOK_THROUGH_UPDATE_FLG
REGRPT_RW_BUCKET SENIORITY_STATUS RATING_STATUS
FUNDED UNFUNDED FUNDED_UNDERLYING UNFUNDED_UNDERLYING
EAD_PORTION SEC_STRUCTURE_TYPE SEC_STRUCTURE_SUBTYPE TRANCHE_LOSS_RANK CRM_PRODUCT 
RESECURITIZATION_FLG APPROACH EXPOSURE_SUBTYPE CQS_BUCKET SEC_INFRINGE_ADJUST_AMT RWA_SEC_MAT_MIS_ADJ_AMT
RWA_BEFORE_CAP _COSTVAR_ EAD_LOOK_THRU_NUMERATOR_AMT EAD_IAA_NUMERATOR_AMT RWA_SEC_MEMO_AMT PRIMARY_BANK_ROLE
SEC_TOTAL_AMT_ORIGINATED EXP_VALUE SEC_DEDUCTION_AMT CRM_USED_AMT_EFF CRM_TYPE MAT_MISMATCH_WEIGHT_CRM CRM_COMP_FLG
)

methods=(PRICE pm_regrpt_crsec_irb);


instrument regrpt_crsec_sa
basetype=ROLLUP
variables=(TRANCHE_FACE_VALUE_AMT EXPOSURE_TYPE                                     
RETAINED_AMT SPECIFIC_PROVISION FIN_COLL_ADJ_VAL_AMT
REGRPT_CCF_BUCKET RW_LOOK_THROUGH_UPDATE_FLG
REGRPT_RW_BUCKET SENIORITY_STATUS RATING_STATUS
FUNDED UNFUNDED FUNDED_UNDERLYING UNFUNDED_UNDERLYING
EAD_PORTION SEC_STRUCTURE_TYPE SEC_STRUCTURE_SUBTYPE TRANCHE_LOSS_RANK CRM_PRODUCT 
RESECURITIZATION_FLG APPROACH EXPOSURE_SUBTYPE CQS_BUCKET SEC_INFRINGE_ADJUST_AMT RWA_SEC_MAT_MIS_ADJ_AMT
RWA_BEFORE_CAP _COSTVAR_ EAD_LOOK_THRU_NUMERATOR_AMT EAD_IAA_NUMERATOR_AMT RWA_SEC_MEMO_AMT PRIMARY_BANK_ROLE
SEC_TOTAL_AMT_ORIGINATED EXP_VALUE SEC_DEDUCTION_AMT CRM_USED_AMT_EFF CRM_TYPE MAT_MISMATCH_WEIGHT_CRM CRM_COMP_FLG 
RWA_SEC_ORIG
)
methods=(PRICE pm_regrpt_crsec_sa);

instrument regrpt_crsec_crm
basetype=ROLLUP
variables=(TRANCHE_FACE_VALUE_AMT EXPOSURE_TYPE                                     
RETAINED_AMT SPECIFIC_PROVISION FIN_COLL_ADJ_VAL_AMT
REGRPT_CCF_BUCKET RW_LOOK_THROUGH_UPDATE_FLG
REGRPT_RW_BUCKET SENIORITY_STATUS RATING_STATUS
FUNDED UNFUNDED FUNDED_UNDERLYING UNFUNDED_UNDERLYING
EAD_PORTION SEC_STRUCTURE_TYPE SEC_STRUCTURE_SUBTYPE TRANCHE_LOSS_RANK CRM_PRODUCT 
RESECURITIZATION_FLG APPROACH EXPOSURE_SUBTYPE CQS_BUCKET SEC_INFRINGE_ADJUST_AMT RWA_SEC_MAT_MIS_ADJ_AMT
RWA_BEFORE_CAP _COSTVAR_ EAD_LOOK_THRU_NUMERATOR_AMT EAD_IAA_NUMERATOR_AMT RWA_SEC_MEMO_AMT PRIMARY_BANK_ROLE
SEC_TOTAL_AMT_ORIGINATED EXP_VALUE SEC_DEDUCTION_AMT CRM_USED_AMT_EFF CRM_TYPE MAT_MISMATCH_WEIGHT_CRM CRM_COMP_FLG
RWA_SEC_ORIG
)
methods=(PRICE pm_regrpt_crsec_crm);

instrument report_capital_1
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 EXPOSURE_CLASS_LEVEL_3
EXPOSURE_TYPE REGRPT_OBLIGOR_GRADE REGRPT_EQUITY_TYPE REGRPT_RW_BUCKET
)
methods=(PRICE pm_report_capital_1);


instrument report_capital_2
basetype=ROLLUP
variables=(EXPOSURE_CLASS_LEVEL_1 EXPOSURE_CLASS_LEVEL_2 EXPOSURE_CLASS_LEVEL_3
EXPOSURE_TYPE REGRPT_CCF_BUCKET REGRPT_RW_BUCKET PD_BUCKET
PAST_DUE_STATUS RATING_STATUS
)
methods=(PRICE pm_report_capital_2);

instrument regrpt_le2
basetype=ROLLUP
variables=(EAD_PORTION LE_PRODUCT_CLASS LE_OBSI_TYPE LECPTYID CPTY_TYPE NACE SECTOR DIR_EXP_DEBT DIR_EXP_EQU DIR_EXP_DERIV IND_EXP_EQU              
IND_EXP_DEBT IND_EXP_DERIV DIR_EXP_OBSI_LOAN DIR_EXP_OBSI_GUAR DIR_EXP_OBSI_OTHER IND_EXP_OBSI_LOAN IND_EXP_OBSI_GUAR IND_EXP_OBSI_OTHER            
UNDERLYING_EXP_EAD TOT_ORIG_EXP TOT_ORIG_EXP_DEF VALUE_ADJ_AMT CRM_EXP_EQU CRM_EXP_DEBT CRM_EXP_DERIV CRM_EXP_OBSI_LOAN         
CRM_EXP_OBSI_GUAR CRM_EXP_OBSI_OTHER CREDIT_PROT_NOT_SUB_EFFECT LE_EXEMPTED_AM ELIG_CRM_RE LE_PRODUCT_CLASS UNDERLYING_FLG TOT_ELIG_CAP
LE_CAP_CHG SUM_EAD_PORTION
)

methods=(PRICE pm_regrpt_le2);

instrument regrpt_le3
basetype=ROLLUP
variables=(EAD_PORTION LE_PRODUCT_CLASS LE_OBSI_TYPE LECPTYID CPTY_TYPE NACE SECTOR DIR_EXP_DEBT DIR_EXP_EQU DIR_EXP_DERIV IND_EXP_EQU              
IND_EXP_DEBT IND_EXP_DERIV DIR_EXP_OBSI_LOAN DIR_EXP_OBSI_GUAR DIR_EXP_OBSI_OTHER IND_EXP_OBSI_LOAN IND_EXP_OBSI_GUAR IND_EXP_OBSI_OTHER            
UNDERLYING_EXP_EAD TOT_ORIG_EXP TOT_ORIG_EXP_DEF VALUE_ADJ_AMT CRM_EXP_EQU CRM_EXP_DEBT CRM_EXP_DERIV CRM_EXP_OBSI_LOAN         
CRM_EXP_OBSI_GUAR CRM_EXP_OBSI_OTHER CREDIT_PROT_NOT_SUB_EFFECT LE_EXEMPTED_AM ELIG_CRM_RE LE_PRODUCT_CLASS UNDERLYING_FLG TOT_ELIG_CAP
LE_CAP_CHG SUM_EAD_PORTION
)

methods=(PRICE pm_regrpt_le3);

instrument regrpt_le4
basetype=ROLLUP
variables=(cashflow_amt VALUE_ADJ_AMT maturity_description LECPTYID SUM_CASHFLOW_AMT SUM_VALUE_ADJ_AMT COUNTERPARTY_GROUP
)
methods=(PRICE pm_regrpt_le4);

instrument regrpt_le5
basetype=ROLLUP
variables=(cashflow_amt VALUE_ADJ_AMT maturity_description LECPTYID SUM_CASHFLOW_AMT SUM_VALUE_ADJ_AMT COUNTERPARTY_GROUP
)
methods=(PRICE pm_regrpt_le5);

instrument regrpt_cva
basetype=ROLLUP
variables=(EAD_ADJ CVA_EAD_ADJ_OTC CVA_EAD_ADJ_SFT CVA_COUNTERPARTY_COUNT CVA_CDS_NOTIONAL_AMT CVA_INDEX_NOTIONAL_AMT 
CVA_CHARGE_AMT CVA_CALCULATION_METHOD_TYPE 
)
methods=(PRICE pm_regrpt_cva);


instrument regrpt_lr2
basetype=ROLLUP
variables=(EAD_PORTION HAIRCUT_EXP APPROACH 
           CCF SPECIFIC_PROVISION EAD LR_RW_BUCKET
)

methods=(PRICE pm_regrpt_lr2);


instrument regrpt_lr4
basetype=ROLLUP
variables=(EAD_PORTION HAIRCUT_EXP APPROACH CCF SPECIFIC_PROVISION EAD 
EXPOSURE_TYPE LR_EXPOSURE_CLASS_LEV_1 LR_EXPOSURE_CLASS_LEV_2 LR_EXPOSURE_CLASS_LEV_3  
LR_EXPOSURE_CLASS_LEV_4 LR_EXPOSURE_CLASS_LEV_5  

)

methods=(PRICE pm_regrpt_lr4);

instrument regrpt_gb3
basetype=ROLLUP
variables=(CAPITAL
)

methods=(PRICE pm_regrpt_gb3);

instrument regrpt_sec_det 
basetype = ROLLUP
variables = (INTERNAL_CODE SECURITIZATION_ID ORIGINATOR_ID SECURITIZATION_TYPE ACCOUNTING_TREATMENT
SOLVENCY_TREATMENT SECURITIZATION_RESEC RETENTION_TYPE RETENTION_PCT RETENTION_COMPLIANCE
INSTITUTION_ROLE NON_ABCP_ORIGINATION_DATE NON_ABCP_ORIGINATION_AMT TOTAL_AMOUNT
INSTITUTION_SHARE ASSET_LIABILITY_TYPE APPROACH_APPLIED NUMBER_OF_EXPOSURES COUNTRY
ELGD VALUE_ADJUST_PROVISIONS OWN_FUND_REQ_PRE_SECURITIZATION 
FIRST_TERMINATION_DATE LEGAL_FINAL_DATE ON_BS_SENIOR_TRANCHE_VALUE
ON_BS_MEZZ_TRANCHE_VALUE ON_BS_FIRST_LOST_TRANCHE_VALUE OFF_BS_SENIOR_TRANCHE_VALUE
OFF_BS_MEZZ_TRANCHE_VALUE OFF_BS_FIRST_LOST_TRANCHE_VALUE ON_BS_SENIOR_EXP_VALUE
ON_BS_MEZZ_EXP_VALUE ON_BS_FIRST_LOST_EXP_VALUE OFF_BS_SENIOR_EXP_VALUE
OFF_BS_MEZZ_EXP_VALUE OFF_BS_FIRST_LOST_EXP_VALUE DCS_MEMO IRS_CRS_MEMO FAC_MEMO
OTHER_MEMO CCF_APPLIED OWN_FUNDS_DEDUCTION PRE_CAP_EXPOSURE POST_CAP_EXPOSURE
CTP_NON_CTP LONG_POSITION_NET SHORT_POSITION_NET SPECIFIC_RISK
)

methods = (PRICE pm_regrpt_sec_det) ;
environment save noupdatemetadata;
 
run;
 
 

data work.reg_ca_root;
set work._fin_instr_(keep=NAME rename=(NAME=CONTENT));
    
    INSTTYPE = 'CA_ROOT';
    TYPE     = 'VAR';
run;
 
/*- datalines statement replaced with file infile statements while moving to MVA code -*/

data _null_;
filename f1 temp;
file f1;
put "REGRPT_CA, LABEL  ,  CA Reporting";
put "REGRPT_CA, BASE   ,  CA_ROOT";
put "REGRPT_CA, PRICE  ,  PM_REGRPT_CA";
run;

data work.reg_ca_all;
infile f1 delimiter = ',' ;
length INSTTYPE $32.;
length TYPE $10.;
length CONTENT $256.;
input INSTTYPE $ TYPE $ CONTENT $;
run;
 
data work.ca_inst_types;
set work.reg_ca_all work.reg_ca_root;
run;
 
 
proc risk noseqcheck;
env open = RD_PROJ.REGRPT;
readtypes data=work.ca_inst_types;
environment save noupdatemetadata;
run;

/*Le limits*/
data work.reg_le_limits_root;
set work._fin_instr_(keep=NAME rename=(NAME=CONTENT));
    
    INSTTYPE = 'LE_LIMITS_ROOT';
    TYPE     = 'VAR';
run;
 
/*- datalines statement replaced with file infile statements while moving to MVA code -*/

data _null_;
filename f1 temp;
file f1;
put "REGRPT_LE_LIMITS, LABEL  ,  LE Limits Reporting";
put "REGRPT_LE_LIMITS, BASE   ,  LE_LIMITS_ROOT";
put "REGRPT_LE_LIMITS, PRICE  ,  PM_REGRPT_LE_LIMITS";
run;

data work.reg_le_limits_all;
infile f1 delimiter = ',' ;
length INSTTYPE $32.;
length TYPE $10.;
length CONTENT $256.;
input INSTTYPE $ TYPE $ CONTENT $;
run;
 
data work.le_limits_inst_types;
set work.reg_le_limits_all work.reg_le_limits_root;
run;
 
 
proc risk noseqcheck;
env open = RD_PROJ.REGRPT;
readtypes data=work.le_limits_inst_types;
environment save noupdatemetadata;
run;

%mend d10_def_regrpt_inst_types_crd4;
