/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_crm_derivative_crd4.sas
 *
 * PURPOSE: Method program code for credit derivatives.
 *          
 *
 *   USAGE: %pm_crm_derivative_crd4;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_crm_derivative_crd4;

    %initialize_regulatory_outvars;

   if CRM_SUBTYPE = 'INDEX' then do ; 
      %get_cva_std_wgt_crm_crd4 ; 
   end ; 

/*- get RW under standardized approach -*/
 /*- RW for funded credit derivatives -*/    
    if CRM_SUBTYPE = 'FUNDED' then do ; 
          %pm_exp_other_assets_std ; 
    end ;
    

/*- RW for other credit derivatives -*/
    else OUTV_RW_COUNTERPARTY = STD_RW_CPTY;



/*- get PD -*/
    OUTV_PD_COUNTERPARTY = PD_CPTY;
    %get_pd_issue;

/*- get LGD -*/
    %get_guarantee_lgd;

/*- RW based on protection provider will need to be computed after exposure-crm link is established -*/
    OUTV_FIRM_SIZE = COUNTERPARTY_SIZE;

/*- CRM COUNTERPARTY FIRM_SIZE needs to set to default if missing -*/
    if COUNTERPARTY_CLASS = 'CORPORATE' and OUTV_FIRM_SIZE in (., 0) then OUTV_FIRM_SIZE = &IRB_SME_MAX_FIRM_SIZE;    

    _VALUE_ = CRM_VALUE ;
    
%mend pm_crm_derivative_crd4;
