/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_crm_guarantee_crd4.sas
 *
 * PURPOSE: Method program code for gurantees.
 *          
 *
 *   USAGE: %pm_crm_guarantee_crd4;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_crm_guarantee_crd4;

    %initialize_regulatory_outvars;
    
/*- get RW under standardized approach -*/
    if ELIGIBLE_CRM_TYPE eq 'GUARANTEE_STD' then do;
       OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
       OUTV_RW_ISSUE = STD_RW_CPTY;

       /*- Article 121(4): adjust RW of trade finance exposure to unrated institution  -*/
       if STD_PRODUCT_CLASS = 'TRADE_FIN' and COUNTERPARTY_CLASS = 'INSTITUTION' and EXT_MAP_RATING = 'MISS' then do; 
            if RESIDUAL_MATURITY * 12 <= &MAX_ORIG_MAT_IN_MON_SHORT_EXP then do;      
              OUTV_RW_ISSUE = STD_RW_TRADEFIN_UR_INST_SHORT;
            end;
            else do;
                OUTV_RW_ISSUE = STD_RW_TRADEFIN_UR_INST;        
            end; 
        end;
    end ;
    
    else do ;
      /*- get guarantor PD -*/
          OUTV_PD_COUNTERPARTY = PD_CPTY;
          %get_pd_issue;

      /*- get LGD -*/
          %get_guarantee_lgd;

      /*- RW based on guarantor will need to be computed after exposure-crm link is established -*/
          OUTV_FIRM_SIZE = COUNTERPARTY_SIZE;

      /*- CRM COUNTERPARTY FIRM_SIZE needs to set to default if missing -*/
          if COUNTERPARTY_CLASS = 'CORPORATE' and OUTV_FIRM_SIZE in (., 0) then OUTV_FIRM_SIZE = &IRB_SME_MAX_FIRM_SIZE;
    end ;
    
    _VALUE_ = CRM_VALUE ;
    
%mend pm_crm_guarantee_crd4;
