/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_crm_physical_std_crd4.sas
 *
 * PURPOSE: Method program code for Immovable Properties as Collaterals
 *          under STD approach in CRD-IV.
 *
 *   USAGE: %pm_crm_physical_std_crd4;
 *
 *   NOTES: Created 6/14/2013
 *          
 *
 *****************************************************************************/

%macro pm_crm_physical_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;
    
    if STD_PRODUCT_SUBCLASS = 'RESIDENTIAL' then do ; 
        if STD_RW_BUCKET_PASTDUE ne '' then OUTV_RW_ISSUE = STD_RW_PASTDUE_REF.STD_RW_BUCKET_PASTDUE;
        else OUTV_RW_ISSUE = STD_RW_RME_REF.STD_RW_BUCKET;       
    end ;
    
    else if STD_PRODUCT_SUBCLASS = 'COMMERCIAL' then do ;
       if STD_RW_BUCKET_PASTDUE ne '' then OUTV_RW_ISSUE = STD_RW_PASTDUE_REF.STD_RW_BUCKET_PASTDUE;
       else OUTV_RW_ISSUE = STD_RW_CME_REF.STD_RW_BUCKET;
    end ;
    
    _VALUE_ = CRM_VALUE;    
    
%mend pm_crm_physical_std_crd4;
