/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_ciu_std_crd4.sas
 *
 * PURPOSE: Method program code for CIUs under STD approach in CRD-IV.
 *
 *   USAGE: %pm_exp_ciu_std_crd4;
 *
 *   NOTES: Created 5/28/2013 for CRD-IV.
 *          
 *
 *****************************************************************************/

%macro pm_exp_ciu_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;
    
/*- CIU should be assigned a risk weight of 100% unless otherwise specified: CRR Article 132(1)  -*/
    OUTV_RW_ISSUE = STD_RW_CIU_DEF ;

/*- if external credit assessment is available, then CIUs are risk weighted based on CQS: CRR Article 132(2) -*/     
    if STD_RW_BUCKET NE '_#_' and EXT_ISSUE_MAP_RATING NE 'MISS' and STD_PRODUCT_SUBCLASS eq 'ECAI_RATED' then do;
       OUTV_RW_ISSUE = STD_RW_CIU_REF.STD_RW_BUCKET;
    end ;   
    
        _VALUE_ = EXP_VALUE;
        
        
%mend pm_exp_ciu_std_crd4;
