/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_corp_hvcre_irbf_crd4.sas
 *
 * PURPOSE: Method program code for corporate (HVCRE) exposures under IRBF approach.
 *
 *   USAGE: %pm_exp_corp_hvcre_irbf_crd4;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_exp_corp_hvcre_irbf_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;
    
/*- initialize exposure PD as counterparty PD -*/
    OUTV_PD_COUNTERPARTY = PD_CPTY;
    %get_pd_issue;

    %get_lgd_irbf;

/*- CRR Article 153 1 (ii) :if PD = 1,  i.e., for defaulted exposures:
      where institutions apply the LGD values set out in Article 161(1), RW shall be 0;  -*/      
    if OUTV_PD_ISSUE = 100 then do;
        OUTV_RW_ISSUE = 0;
    end;
/*CRR Article 153 1(i): if PD = 0, RW shall be 0; */    
    else if OUTV_PD_ISSUE = 0 then do;
        OUTV_EL = 0;
        OUTV_RW_ISSUE = 0;
    end;        
    else do;
        OUTV_EL      = OUTV_PD_ISSUE * OUTV_LGD / 100;    
        OUTV_RW_ISSUE = IRB_RW_CORPORATE_HVCRE(OUTV_PD_ISSUE, OUTV_LGD, MAT_EFF, IRB_SCALING_FACTOR);
    end;

    OUTV_FIRM_SIZE = COUNTERPARTY_SIZE;
    
    _VALUE_ = EXP_VALUE ;
    
%mend pm_exp_corp_hvcre_irbf_crd4;
