/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_cov_bond_std_crd4.sas
 *
 * PURPOSE: Method program code for cov_bond exposures under STD approach.
 *
 *   USAGE: %pm_exp_cov_bond_std_crd4;
 *
 *   NOTES: 6/10/2013 created for CRD-IV.
 *          
 *
 *****************************************************************************/

%macro pm_exp_cov_bond_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;

   /*- Get weight for CVA standardized approach: Art. 384 -*/ 
   %get_cva_std_wgt_crd4 ; 

/*- by default, get the RW associated with the counterparty -*/
    OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
       
/*- get RW based on issue rating -*/
    if STD_RW_BUCKET NE '_#_' and EXT_ISSUE_MAP_RATING NE 'MISS' then do;
       OUTV_RW_ISSUE = STD_RW_COV_BOND_OPT1_REF.STD_RW_BUCKET;
    end ;
    
/*- get RW from counterparty rating   -*/
    else if  STD_RW_BUCKET_CPTY NE '_#_' and EXT_MAP_RATING NE 'MISS' then do;
       OUTV_RW_ISSUE = STD_RW_COV_BOND_OPT2_REF.STD_RW_BUCKET_COUNTERPARTY; 
    end ;   
                
    _VALUE_ = EXP_VALUE ;
    
%mend pm_exp_cov_bond_std_crd4;
