/*****************************************************************************
 * Copyright (c) 2013 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_equity_std_crd4.sas
 *
 * PURPOSE: Risk weight program for equities under standardized approach
 *          
 *   USAGE: %pm_exp_equity_std_crd4 ;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_exp_equity_std_crd4 ;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;

     if COUNTERPARTY_CLASS = 'INSTITUTION' then do ;
        if EQ_EXP_FIN_SECT_NO_DEDUCT_FLG = 1 then do ;
           if COUNTERPARTY_SUBCLASS = 'INSURANCE' then OUTV_RW_ISSUE = STD_RW_EQUITY_INSURANCE ;
           else OUTV_RW_ISSUE = STD_RW_EQUITY_FIN_ENTITY ;
        end ;   
     end ;
     
     else do ;
        OUTV_RW_ISSUE = STD_RW_EQUITY_DEFAULT ;
     end ;
     
    _VALUE_ = EXP_VALUE ;
    
%mend pm_exp_equity_std_crd4 ;
