/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_int_org_std_crd4.sas
 *
 * PURPOSE: Method program code for exposures to international organizations 
 *          under STD approach in CRD-IV. 
 *         
 *   USAGE: %pm_exp_int_org_std_crd4;
 *
 *           
 *   NOTES: 
 *   4/18/2013: Created for crd4    
 *          
 *****************************************************************************/

%macro pm_exp_int_org_std_crd4;

    /*- initialize outvars -*/
    %initialize_regulatory_outvars;

    /*- by default, get the RW associated with the counterparty -*/
    OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
    
    /* get RW for exposures to international organizations: CRR Article 118  */
 
       OUTV_RW_ISSUE = STD_RW_INT_ORG;
    
        
    _VALUE_ = EXP_VALUE ;

%mend pm_exp_int_org_std_crd4;
