/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_securitization_std_crd4.sas
 *
 * PURPOSE: Method program code for ECAI rated securitization exposures under STD approach
 *          in CRD-IV.
 *
 *   USAGE: %pm_exp_securitization_std_crd4;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_exp_securitization_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;

   /*- Get weight for CVA standardized approach: Art. 384 -*/
   %get_cva_std_wgt_crd4 ; 

/*- Basel II - 557: no capital requirement for transactions with eligible clean-up call -*/
    if ELIGIBLE_CLEAN_UP_CALL_FLG =1 then OUTV_RW_ISSUE = 0;

/*- get RW based on issue rating: CRR Article 251 -*/
    else if STD_RW_BUCKET NE '_#_' and EXT_ISSUE_MAP_RATING NE 'MISS' then do;
    
           if RESECURITIZATION_FLG = 1 then do ;
              if SHORT_TERM_ASSESS_FLG = 1 then
                 OUTV_RW_ISSUE = STD_RW_RESEC_SHORT_REF.STD_RW_BUCKET;
              else 
                 OUTV_RW_ISSUE = STD_RW_RESEC_REF.STD_RW_BUCKET;            
           end ;

           else do ;           
                 if SHORT_TERM_ASSESS_FLG = 1 then
                    OUTV_RW_ISSUE = STD_RW_SEC_SHORT_REF.STD_RW_BUCKET;
                 else 
                    OUTV_RW_ISSUE = STD_RW_SEC_REF.STD_RW_BUCKET;            
           end ;
           
    end;
    
    _VALUE_ = EXP_VALUE ;
    
%mend pm_exp_securitization_std_crd4;
