

/*+---------------------------------------------------------------------------- */
/*|                Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.   */
/*|                SAS Campus Drive, Cary, NC 27513 USA    */ 
/*|                ---All rights reserved     */ 
/*+-----------------------------------------------------------------------------*/
/* Created for V45         */
/* Regulatory Reporting CREQU IRB       */

                                 
/* Create Data for Report */

%macro regrpt_capital_crequ_crd4;

%regrpt_d0_capital_crequ_crd4;
%get_classdepth;
/* Creates basic CREQU template report */        
%macro crequ_report (dsn);         

proc report data=work.&dsn nowd missing LS=256 PS=50 contents=""
  style(column)={ bordercolor=#FAF8ED cellspacing=1}
  style(header)={cellheight=0  cellspacing=1 }
headline
headskip
;

column
(       rowlabel
        ("&int_rating_system"  outv_pd_eff)                     
        OUTV_EXP_PRE_CCF_PRE_CRM   

        ("&credit_risk_mit_tech"
        ("&unfunded_credit_protection"  
        (outv_guarantee_unfunded_amt)           
        (outv_credit_deriv_unfunded_amt)        
)
        ("&sub_exposure_crm"
        (outv_outflow_irb_amt)                  
        /*(outv_inflow_irb_amt)*/                   
)
)

       /* ("&EXP_AFT_CRM_SUBEFF_PRE_CFAC"
        (outv_exp_pre_ccf_after_crm)            
        (outv_exp_pre_ccf_after_crm_ob) 
)
*/
        ("&outv_ead_crequ"
        (outv_ead)                                      
        /*(outv_ead_ob)*/
)       

        (outv_lgd_eff)                          
        (outv_rwa)                                              
/*      (outv_capital)*/
        ("&memorandum"
        (outv_el_amt /*OUTV_VALUE_ADJ_AMT*/))
);


 define rowlabel                        / display       width=150                       " ";
 define outv_pd_eff                     / display       format=&FORMAT_NUMERIC          "&pd_assign_to_ob_grade";       
 define OUTV_EXP_PRE_CCF_PRE_CRM        / display       format=&FORMAT_NUMERIC          "&OUTV_EXP_PRE_CCF_PRE_CRM";    

 define outv_guarantee_unfunded_amt     / display       format=&FORMAT_NUMERIC          "&GUARANTEES";  
 define outv_credit_deriv_unfunded_amt  / display       format=&FORMAT_NUMERIC          "&crd_deriv";   
 define outv_outflow_irb_amt            / display       format=&FORMAT_NUMERIC          "&outv_outflow_irb_amt";        
 /*define outv_inflow_irb_amt             / display       format=&FORMAT_NUMERIC          "&outv_inflow_irb_amt"; */
/*
 define outv_exp_pre_ccf_after_crm      / display       format=&FORMAT_NUMERIC          " ";    
 define outv_exp_pre_ccf_after_crm_ob   / display       format=&FORMAT_NUMERIC          "&_off_bal_ead";        
*/ 
 define outv_ead                        / display       format=&FORMAT_NUMERIC          " ";    
 /*define outv_ead_ob                     / display       format=&FORMAT_NUMERIC          "&_off_bal_ead" ; */      
 define outv_lgd_eff                    / display       format=&FORMAT_NUMERIC          "&outv_lgd_eff_crequ";  
 define outv_rwa                        / display       format=&FORMAT_NUMERIC          "&outv_rwa" ;   
 /*define outv_capital                    / display       format=&FORMAT_NUMERIC          "&outv_capital_crequ";  */
 define outv_el_amt                     / display       format=&FORMAT_VALUE            "&OUTV_el_amt";
 /*define OUTV_VALUE_ADJ_AMT              / display       format=&FORMAT_VALUE            "&OUTV_VALUE_ADJ_AMT";*/

title "&regrpt_crequ_title";

run;

%mend;

%macro reportbody ;

%if NOT %sysfunc(exist(work.current_regulatory)) or NOT %sysfunc(exist(work._finalrptdata_))
  or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
  %print_msg(warning,3,10);
  %print_msg(warning,3,15);
  %regulatory_reportnopage();
  %return;
  %goto FINAL;
%end;

  %if &APPLY_CCF_AFTER_CRM EQ NO %then %do;
    
      %let ccf_crm_msg=%print_msg(,3,107,1); 
     
     footnote "&ccf_crm_msg";
  %end;

%if %upcase(&REPORT_TYPE)=%upcase(XLS) %then %do;
	/*
	data _null_;
		ID = open("report_pages");
		Var_name = upcase(varname(ID,2));
		RC = close(ID);
		call symputx("class_sa_lev1",var_name);
	run;
	*/ 
   /*data _null_;
    set report_pages(firstobs=&this_page obs=&this_page);
	 call symputx("sheet_nm",put(&class_sa_lev1,$aggregate.)); 
	call symputx("sheet_nm",&this_page);
	 run;
  */
  
   ods tagsets.ExcelXP_Mod 
 		options(
		sheet_name="Equity"
		sheet_interval='none' autofit_height="yes");
		%_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
 		options(
		autofit_height="YES");

%end;  

  %regulatory_reportheaders (_finalrptdata_ );  
  %crequ_report (_finalrptdata_(where=(rank not in (111, 112))));
  
  
/*  %if (%attrn(_obligor_112,nvars) > 1 ) %then %do ;*/
/*		%if %dsexist(_OBLIGOR_112) %then %do;

%if %upcase(&REPORT_TYPE)=%upcase(XLS) %then %do;
  	%_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title2);
%end;
    %crequ_report (_finalrptdata_(where=(rank in (111, 112))));
    
  %end; */

  /* subroutine for no data available for report page */
  %NOPAGE:      

%FINAL: 
footnote ;

%mend reportbody; /* end reportbody macro */                              

%reportbody;

%if %dsexist(_OBLIGOR_112) %then %do;

%regulatory_creq_obligors_crd4;
%end;

%mend regrpt_capital_crequ_crd4;
