/*****************************************************************************
* Copyright (c) 2013 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_capital_le4_crd4.sas
*
* PURPOSE: Creates report for the Large Exposures report
*
*
*   USAGE: 
*
*   NOTES: Created for v4.8
*   Macro Options:
*****************************************************************************/
 
%macro regrpt_capital_le4_crd4;

%regrpt_d0_capital_le4_crd4; 
 
/* Creates basic  template report */
%macro report_page (dsn);
 %let style_type=%str(style=Data[Tagattr='format:#,##0.00' ]);  

proc report data=&dsn nowd missing LS=160 PS=50 /* SPLIT="*" */ contents=""
style(column)={ /*bordercolor=#FAF8ED*/ cellspacing=0}
style(header)={background=#CED3D6 cellheight=0  cellspacing=0 fontweight=bold};


column  
("COUNTERPARTY"
                CPTY_CD                     /*  COL  10    */
)
("MATURITY BUCKETS OF THE EXPOSURE "
                UPTO_1_MON               /*  COL  20    */
                GT_1_UPTO_2_MON          /*  COL  30    */
                GT_2_UPTO_3_MON          /*  COL  40    */
                GT_3_UPTO_4_MON          /*  COL  50    */
                GT_4_UPTO_5_MON          /*  COL  60    */
                GT_5_UPTO_6_MON          /*  COL  70    */
                GT_6_UPTO_7_MON          /*  COL  80    */
                GT_7_UPTO_8_MON          /*  COL  90    */
                GT_8_UPTO_9_MON          /*  COL  100    */
                GT_9_UPTO_10_MON         /*  COL  110    */
                GT_10_UPTO_11_MON        /*  COL  120    */
                GT_11_UPTO_12_MON        /*  COL  130    */
                GT_12_UPTO_15_MON        /*  COL  140    */
                GT_15_UPTO_18_MON        /*  COL  150    */
                GT_18_UPTO_21_MON        /*  COL  160    */
                GT_21_UPTO_24_MON        /*  COL  170    */
                GT_24_UPTO_27_MON        /*  COL  180    */
                GT_27_UPTO_30_MON        /*  COL  190    */
                GT_30_UPTO_33_MON        /*  COL  200    */
                GT_33_UPTO_36_MON        /*  COL  210    */
                GT_3_UPTO_5_YEARS         /*  COL  220    */
                GT_5_UPTO_10_YEARS       /*  COL  230    */
                GT_10_Years              /*  COL  240    */
                UNDEFINED_MATURITY                /*  COL  250    */ 
)
;    
    
     define    CPTY_CD                /display style(column)={tagattr='00000000'}    " "     "&LE4_Code"                  ;
     define    UPTO_1_MON          /display &style_type.    " "     "&LE4_UPTO_1_MON"            ;
     define    GT_1_UPTO_2_MON     /display &style_type.    " "     "&LE4_GT_1_UPTO_2_MON"       ;
     define    GT_2_UPTO_3_MON     /display &style_type.    " "     "&LE4_GT_2_UPTO_3_MON"       ;
     define    GT_3_UPTO_4_MON     /display &style_type.    " "     "&LE4_GT_3_UPTO_4_MON"       ;
     define    GT_4_UPTO_5_MON     /display &style_type.    " "     "&LE4_GT_4_UPTO_5_MON"       ;
     define    GT_5_UPTO_6_MON     /display &style_type.    " "     "&LE4_GT_5_UPTO_6_MON"       ;
     define    GT_6_UPTO_7_MON     /display &style_type.    " "     "&LE4_GT_6_UPTO_7_MON"       ;
     define    GT_7_UPTO_8_MON     /display &style_type.    " "     "&LE4_GT_7_UPTO_8_MON"       ;
     define    GT_8_UPTO_9_MON     /display &style_type.    " "     "&LE4_GT_8_UPTO_9_MON"       ;
     define    GT_9_UPTO_10_MON    /display &style_type.    " "     "&LE4_GT_9_UPTO_10_MON"      ;
     define    GT_10_UPTO_11_MON   /display &style_type.    " "     "&LE4_GT_10_UPTO_11_MON"     ;
     define    GT_11_UPTO_12_MON   /display &style_type.    " "     "&LE4_GT_11_UPTO_12_MON"     ;
     define    GT_12_UPTO_15_MON   /display &style_type.    " "     "&LE4_GT_12_UPTO_15_MON"     ;
     define    GT_15_UPTO_18_MON   /display &style_type.    " "     "&LE4_GT_15_UPTO_18_MON"     ;
     define    GT_18_UPTO_21_MON   /display &style_type.    " "     "&LE4_GT_18_UPTO_21_MON"     ;
     define    GT_21_UPTO_24_MON   /display &style_type.    " "     "&LE4_GT_21_UPTO_24_MON"     ;
     define    GT_24_UPTO_27_MON   /display &style_type.    " "     "&LE4_GT_24_UPTO_27_MON"     ;
     define    GT_27_UPTO_30_MON   /display &style_type.    " "     "&LE4_GT_27_UPTO_30_MON"     ;
     define    GT_30_UPTO_33_MON   /display &style_type.    " "     "&LE4_GT_30_UPTO_33_MON"     ;
     define    GT_33_UPTO_36_MON   /display &style_type.    " "     "&LE4_GT_33_UPTO_36_MON"     ;
     define    GT_3_UPTO_5_YEARS    /display &style_type.    " "     "&LE4_GT_3_UPTO_5_YEAR"      ;
     define    GT_5_UPTO_10_YEARS  /display &style_type.    " "     "&LE4_GT_5_UPTO_10_YEARS"    ;
     define    GT_10_Years         /display &style_type.    " "     "&LE4_GT_10_Years"           ;
     define    UNDEFINED_MATURITY           /display &style_type.    " "     "&LE4_Undefined"             ;
     
    compute CPTY_CD;
       count+1;
       if mod(count,2) then do;
         call define(_row_,"Style", "Style=[background=#ffffff]");
       end;
    endcomp;

run;

 
 
%mend report_page;
 
 
%macro generate_report;
 
%if NOT %sysfunc(exist(work.current_regulatory)) or NOT %sysfunc(exist(work.Le4_rpt_final))
or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
%print_msg(warning,3,10);
%print_msg(warning,3,15);
%regulatory_reportnopage();
%return;
%goto FINAL;
%end;
 
 
/*If data is not available for the report page then do no run report content */
%if NOT %sysfunc(exist(work.Le4_rpt_final)) %then %do;
%print_msg(warning,3,19);
%print_msg(note,3,20);
%regulatory_reportnopage();
%goto NOPAGE;
%end;

/*  %if &APPLY_CCF_AFTER_CRM EQ NO %then %do;
     %let ccf_crm_msg=%print_msg(,3,110,1); 
     
     footnote "&ccf_crm_msg";
  %end;
 */
/* Displays the titles for the cross-classification variables */
/*%regulatory_reportheaders(work._LE_2_GRP_REPORT);*/

%if &report_type=XLS %then %do;

   ods tagsets.ExcelXP_Mod 
 		options(
		sheet_name="&rpt_cd."
		sheet_interval='none' autofit_height="yes");
		%_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
 		options(
		autofit_height="NO"); 
%end; 
%report_page (work.Le4_rpt_final);
 
/* subroutine for no data available for report page */
%NOPAGE:
 
 
%FINAL:
footnote ;
 
%mend generate_report; /* end reportbody macro */
 
%generate_report;
 

 
%mend regrpt_capital_le4_crd4;
