/*****************************************************************************
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_d0_capital_le2.sas
*
* PURPOSE: Creates data for the LE 1 report
*
*
*   USAGE:
*
*   NOTES: Modified for V4.8
*   Macro Options:
*****************************************************************************/
%macro regrpt_d0_capital_le2_crd4;

%macro createRegulatoryView (fact_table=);
/*---------------------------------------------------------------------------
* Step 1.
* Check for data in the repository and create a dataset for the project
* the dataset is work.current_regulatory
* -------------------------------------------------------------------------*/
%if %upcase(&usertype) eq MASTER %then
%let projectview=%trim(%left(&PROJECT_SET))_%trim(%left(&REGPROJECTNAME))_%trim(%left(&MITIGANTS_ALLOCATION_METHOD))_%trim(%left(&system_id));
%else
%let projectview=%trim(%left(&PROJECT_SET))_%trim(%left(&REGPROJECTNAME))_%trim(%left(&MITIGANTS_ALLOCATION_METHOD))_%trim(%left(&system_id))_%trim(%left(&username));
%put projectview=&projectview;
/* Create SQL views into datamart with no history */
%create_risk_repository_views
(Project_name=&projectview,Fact_table=&fact_table,Current=YES,Year=NO,Allhistory=NO, where=NONE, obs=0);
 
%mend createRegulatoryView;

/* Create views of fact table with cross-class macro names */
%createRegulatoryView (fact_table=regulatory);


proc sort data=current_regulatory ( where=(upcase(&rptvar1.) NOT in ("MISSING","+") and &rptvar2. EQ "+")) 
out=_LE2_GROUP;
 by &rptvar1;
run;
proc sort data=rd_root.counterparty_details
(rename=(LECPTYID=&rptvar2 COUNTERPARTY_GROUP=&rptvar1)  where=(upcase(&rptvar1.) NOT in ("","MISSING","+")  ))


out=_Counterparty_chars_group
			   (Keep=&rptvar2 &rptvar1 CPTY_CD CPTY_TYPE_LE2 UNDERLYING_FLG NACE CPTY_NM COUNTERPARTY_COUNTRY SECTOR LEGAL_ENTITY_ID
/*UNDERLYING_FLG NACE CPTY_TYPE_LE1 CPTY_NM CPTY_RES CPTY_SECTOR LEI*/
				)nodupkey;
/*This code should be un-commented */
 by   &rptvar1 ;
/* 	CPTY_CD*/
/* 	UNDERLYING_FLG*/
/*	NACE */
/*	CPTY_TYPE_LE1 */
/*	CPTY_NM   */
/*	CPTY_RES*/
/*	CPTY_SECTOR*/
/*	LEI;*/
run;

data _Counterparty_chars_group;
set _Counterparty_chars_group;
if not missing("&rptvar1")then 
NAME=&rptvar1;
else NAME=CPTY_NM;
run;

data _LE2_GROUP;
merge _LE2_GROUP(in=a) _counterparty_chars_group(in=b);
by &rptvar1;
if a;
run;


proc sort data=current_regulatory ( where=(upcase(&rptvar1.) EQ "MISSING" and &rptvar2. NE "+" )) out=_LE2_INDIVIDUAL;
 by &rptvar2;
run;
proc sort data=rd_root.counterparty_details(rename=(LECPTYID=&rptvar2 COUNTERPARTY_GROUP=&rptvar1)
 where=(upcase(&rptvar1.) IN ("","MISSING") )
)
out=_Counterparty_chars_ind
			   (Keep=&rptvar2 &rptvar1 CPTY_CD CPTY_NM UNDERLYING_FLG CPTY_TYPE_LE2
/*UNDERLYING_FLG NACE CPTY_TYPE_LE1 CPTY_NM CPTY_RES CPTY_SECTOR LEI*/
				rename =(CPTY_NM=NAME))nodupkey;
/*This code should be un-commented */
 by   &rptvar2 ;
/* 	CPTY_CD*/
/* 	UNDERLYING_FLG*/
/*	NACE */
/*	CPTY_TYPE_LE1 */
/*	CPTY_NM   */
/*	CPTY_RES*/
/*	CPTY_SECTOR*/
/*	LEI;*/
run;

data _LE2_INDIVIDUAL;
merge _LE2_INDIVIDUAL(in=a) _Counterparty_chars_ind(in=b);
by &rptvar2;
if a;
run;


data _LE2_GRP_IND_REPORT;
length OUTV_NOT_POPULATED 8.;
 set  _LE2_GROUP _LE2_INDIVIDUAL;
 OUTV_NOT_POPULATED=.;
/* by &rptvar1;*/
run;


%mend regrpt_d0_capital_le2_crd4;
