/*****************************************************************************
 * Copyright (c) 2013 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: regulatory_creq_obligors_crd4
 *
 *    PURPOSE: To generate obligor related information for IRB Report
 *
 *    USAGE: 
 *
 *    NOTES: 1. This runs data for regulatory projects
 *    MODIFIED V4.8
 *****************************************************************************/


%macro regulatory_creq_obligors_crd4;
ods _all_ close;
%let regprojectname_old=&regprojectname;
%let regprojectname=&regprojectname._oblig_info;
%put regprojectname_aft_2=&regprojectname;

%let regrpt_whereclause = %quote(where upcase(rpt_cd) eq %upcase("&REGPROJECTNAME")
/*  and upcase(system_id) eq "%upcase(&system_id)"  */
  and upcase(allocation_method) eq "%upcase(&MITIGANTS_ALLOCATION_METHOD)"
  and upcase(config_set) eq "%upcase(&CONFIG_SET)");


	%if %sysfunc (exist( rd_nls.regulatory_report_list_&REPORTING_LANGUAGE. )) %then %do;
		data _null_;
		 set rd_nls.regulatory_report_list_&REPORTING_LANGUAGE.;
		     &regrpt_whereclause;
			 call symputx("title1",title1);
			 call symputx("title2",title2);
		 run;

	%end;


%regulatory_reportoutputbegin;

%let regprojectname=&regprojectname_old;
%put regprojectname_aft_old=&regprojectname;
data _null_;
run;


%if NOT %sysfunc(exist(work.current_regulatory)) or NOT %sysfunc(exist(work._OBLIGOR_112))
or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
%print_msg(warning,3,10);
%print_msg(warning,3,15);
%regulatory_reportnopage();
%return;
%goto OBLIGOR_END;
%end;


/*If data is not available for the report page then do no run report content */
%if NOT %sysfunc(exist(work._OBLIGOR_112)) %then %do;
%print_msg(warning,3,19);
%print_msg(note,3,20);
%regulatory_reportnopage();
%goto NOPAGE;
%end;

   %if &APPLY_CCF_AFTER_CRM EQ NO %then %do;

       %let ccf_crm_msg=%print_msg(,3,108,1);
      footnote "&ccf_crm_msg";
  %end;

/* Displays the titles for the cross-classification variables */
%if %upcase(&REPORT_TYPE)=%upcase(XLS) %then %do;

   ods tagsets.ExcelXP_Mod 
 		options(
		sheet_name="Equity"
		sheet_interval='none' autofit_height="yes");
			%let regprojectname_old=&regprojectname;
			%let regprojectname=&regprojectname._oblig_info;
			%put regprojectname_aft_2=&regprojectname;

		%_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
			%let regprojectname=&regprojectname_old;
			%put regprojectname_aft_old=&regprojectname;
			data _null_;
			run;
   ods tagsets.ExcelXP_Mod 
 		options(
		autofit_height="YES");

%end;


/* %regulatory_reportheaders(work.&regprojectname._&this_page);*/
  %regulatory_reportheaders (_finalrptdata_ );  

    %crequ_report (_finalrptdata_(where=(rank in (111, 112))));

/* subroutine for no data available for report page */
%NOPAGE:

/*%end;*/

%OBLIGOR_END:
%mend regulatory_creq_obligors_crd4;
