/*-- Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Name          rrr_content_list.sas
Macro Name    rrr_content_list
Created       10/19/12 11:12:48 AM
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
*/
%macro rrr_content_list;

  proc sql noprint;
      create table work._RRR_CONTENT_LIST_(
          TABLE_NM char(32),
          TYPE char(32)
          );
      insert into work._RRR_CONTENT_LIST_
          values("ANALYSIS_RESULT","DIM")
          values("ANALYSIS_TYPE_DIM","DIM")
          values("ANALYSIS_VARS_LIMIT","DIM")
          values("ARCHIVE_CONTROL","DIM")
          values("ASSET_LIABILITY_TYPE_DIM","DIM")
          values("BALANCE_SHEET_FACT","FACT")
          values("BALANCE_SHEET_FACT_MAP","MAP")
          values("BALANCE_SHEET_LINE_ITEM_DIM","DIM")
          values("CALCULATION_VALUE_DETAIL","FACT")
          values("CAPITAL_SOLVENCY_FACT","FACT")
          values("CAPITAL_SOLVENCY_FACT_MAP","MAP")
          values("CASHFLOW_DETAIL","FACT")
          values("CASHFLOW_DIM","DIM")
          values("CASHFLOW_FACT","FACT")
          values("CASHFLOW_FACT_MAP","MAP")
          values("CLASSIFICATION_DIM","DIM")
          values("CLASSIFICATION_GROUP_DIM","DIM")
          values("CLASS_VAR_REFERENCE","DIM")
          values("CODE_LANGUAGE","DIM")
          values("CONFIGURATION_DIM","DIM")
          values("CORRELATION_FACT","FACT")
          values("CORRELATION_FACT_MAP","MAP")
          values("CORRELATION_MATRIX_DIM","DIM")
          values("COUNTERPARTY_DIM","DIM")
          values("COUNTRY_DIM","DIM")
          values("CREDIT_RISK_FACT","FACT")
          values("CREDIT_RISK_FACT_MAP","MAP")
          values("CURRENCY","DIM")
          values("CURVE_COORDINATES","FACT")
          values("CURVE_TYPE_DIM","DIM")
          values("DATA_ITEM_DIM","DIM")
          values("DATE_REFERENCE","DIM")
          values("DETAIL_LEVEL_CONTROL","DIM")
          values("DETAIL_TABLE_TYPE_DIM","DIM")
          values("ECONOMIC_CAPITAL_FACT","FACT")
          values("ECONOMIC_CAPITAL_FACT_MAP","MAP")
          values("ENTITY_ASSOC","ASSOC")
          values("ENTITY_DIM","DIM")
          values("EXPOSURE_FACT","FACT")
          values("EXPOSURE_FACT_MAP","MAP")
          values("FFEIC_MANL_AUDIT_TRAIL_DETAIL","OTHER")
          values("FFIEC_MANUAL_AUDIT_TRAIL_DIM","DIM")
          values("FINANCIAL_FACT","FACT")
          values("FINANCIAL_FACT_MAP","MAP")
          values("FTP_FACT","FACT")
          values("FTP_FACT_MAP","MAP")
          values("GENERATED_SCENARIO_DIM","PSEUDO_FACT")
          values("HISTORICAL_RECORDED_VALUE","FACT")
          values("INSTRUMENT_ATTRIBUTE_DIM","DIM")
          values("INSTRUMENT_VARIABLE_DIM","DIM")
          values("KEY_SEQUENCE_ASSIGN","OTHER")
          values("LIBREF_MAPPING_DIM","DIM")
          values("LIMIT_MAPPING","MAP")
          values("LIMIT_TYPE_DIM","DIM")
          values("LIQUIDITY_FACT","FACT")
          values("LIQUIDITY_FACT_MAP","MAP")
          values("LIQUIDITY_FLOW_FACT","FACT")
          values("LIQUIDITY_FLOW_FACT_MAP","MAP")
          values("MARKET_FACT","FACT")
          values("MARKET_FACT_MAP","MAP")
          values("MARK_TO_MARKET_FACT","FACT")
          values("MARK_TO_MARKET_FACT_MAP","MAP")
          values("MICRO_DATA","OTHER")
          values("MICRO_DATA_REF_DIM","DIM")
          values("OPERATIONAL_CAPITAL_FACT","FACT")
          values("OPERATIONAL_CAPITAL_FACT_MAP","MAP")
          values("OPERATIONAL_CAPITAL_MODEL_FACT","FACT")
          values("OPTIMIZATION_FACT","FACT")
          values("OPTIMIZATION_FACT_MAP","MAP")
          values("OP_CAPITAL_MODEL_FACT_MAP","MAP")
          values("OP_RISK_CATEGORY_DIM","DIM")
          values("OP_RISK_REPORT_DIM","DIM")
          values("OP_RISK_REPORT_FACT","FACT")
          values("PORTFOLIO_FACT","FACT")
          values("PORTFOLIO_FACT_MAP","MAP")
          values("PROJECT_ASSOC","ASSOC")
          values("PROJECT_DIM","DIM")
          values("PROJECT_OPTION_SET","DIM")
          values("PROJECT_TYPE_DIM","DIM")
          values("PROJECT_USER","DIM")
          values("PROJ_OPT_SET_X_ANALYSIS_RESULT","INTERSECTION")
          values("REGLTRY_CAPTL_RPT_CATGRY_DIM","DIM")
          values("REGULATORY_CAPITAL_RPT_DIM","DIM")
          values("REGULATORY_CAPITAL_RPT_FACT","FACT")
          values("REGULATORY_FACT","FACT")
          values("REGULATORY_FACT_MAP","MAP")
          values("RISK_FACTOR_DIM","DIM")
          values("RISK_FACTOR_INFORMATION_FACT","FACT")
          values("RISK_FACTOR_INFO_FACT_MAP","MAP")
          values("RR_VERSION_INFO","OTHER")
          values("SCENARIO_ATTRIBUTE_DIM","DIM")
          values("SCENARIO_FACT","FACT")
          values("SCENARIO_FACT_MAP","MAP")
          values("SCENARIO_RESULT_DETAIL","FACT")
          values("SENSITIVITY_FACT","FACT")
          values("SENSITIVITY_FACT_MAP","MAP")
          values("SENSITIVITY_MEASURE_TYPE_DIM","DIM")
          values("SIMULATION_STATE_DETAIL_DIM","DIM")
          values("SIMULATION_STATE_DETAIL_VALUE","FACT")
          values("SOURCE_SYSTEM_DIM","DIM")
          values("SRC_SYS_CLASS_GROUP_MAPPING","MAP")
          values("STATISTICS_FACT","FACT")
          values("STATISTICS_FACT_MAP","MAP")
          values("STATISTICS_TYPE_DIM","DIM")
          values("SURFACE_COORDINATES","FACT")
          values("SURFACE_TYPE_DIM","DIM")
          values("TIME_BUCKET_DIM","DIM")
          values("TIME_BUCKET_GROUP_DIM","DIM")
          values("TIME_BUCKET_GRP_X_TIME_BUCKET","INTERSECTION")
          values("TIME_REFERENCE","DIM")
          values("VALUATION_METHOD_TYPE_DIM","DIM")
          values("VARIABLE_DIM","DIM")
          ;
  quit;

%mend rrr_content_list;
