/*-- Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         Risk Repository 1.4 Maintenance
Subject Area  Analytic Mart
Model Version 
Macro Name    rrr_ic
DBMS          SAS
Created       11/8/12 8:44:21 AM
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
*/
%macro rrr_ic(LIBREF=MART, fileloc=);
proc sql;
  %include "&fileloc./analysis_result_ic.sas";
  %include "&fileloc./analysis_type_dim_ic.sas";
  %include "&fileloc./analysis_vars_limit_ic.sas";
  %include "&fileloc./archive_control_ic.sas";
  %include "&fileloc./asset_liability_type_dim_ic.sas";
  %include "&fileloc./balance_sheet_fact_ic.sas";
  %include "&fileloc./balance_sheet_fact_map_ic.sas";
  %include "&fileloc./balance_sheet_line_item_dim_ic.sas";
  %include "&fileloc./calculation_value_detail_ic.sas";
  %include "&fileloc./capital_solvency_fact_ic.sas";
  %include "&fileloc./capital_solvency_fact_map_ic.sas";
  %include "&fileloc./cashflow_detail_ic.sas";
  %include "&fileloc./cashflow_dim_ic.sas";
  %include "&fileloc./cashflow_fact_ic.sas";
  %include "&fileloc./cashflow_fact_map_ic.sas";
  %include "&fileloc./classification_dim_ic.sas";
  %include "&fileloc./classification_group_dim_ic.sas";
  %include "&fileloc./class_var_reference_ic.sas";
  %include "&fileloc./code_language_ic.sas";
  %include "&fileloc./configuration_dim_ic.sas";
  %include "&fileloc./correlation_fact_ic.sas";
  %include "&fileloc./correlation_fact_map_ic.sas";
  %include "&fileloc./correlation_matrix_dim_ic.sas";
  %include "&fileloc./counterparty_dim_ic.sas";
  %include "&fileloc./country_dim_ic.sas";
  %include "&fileloc./credit_risk_fact_ic.sas";
  %include "&fileloc./credit_risk_fact_map_ic.sas";
  %include "&fileloc./currency_ic.sas";
  %include "&fileloc./curve_coordinates_ic.sas";
  %include "&fileloc./curve_type_dim_ic.sas";
  %include "&fileloc./data_item_dim_ic.sas";
  %include "&fileloc./date_reference_ic.sas";
  %include "&fileloc./detail_level_control_ic.sas";
  %include "&fileloc./detail_table_type_dim_ic.sas";
  %include "&fileloc./economic_capital_fact_ic.sas";
  %include "&fileloc./economic_capital_fact_map_ic.sas";
  %include "&fileloc./entity_assoc_ic.sas";
  %include "&fileloc./entity_dim_ic.sas";
  %include "&fileloc./exposure_fact_ic.sas";
  %include "&fileloc./exposure_fact_map_ic.sas";
  %include "&fileloc./ffeic_manl_audit_trail_detail_ic.sas";
  %include "&fileloc./ffiec_manual_audit_trail_dim_ic.sas";
  %include "&fileloc./financial_fact_ic.sas";
  %include "&fileloc./financial_fact_map_ic.sas";
  %include "&fileloc./ftp_fact_ic.sas";
  %include "&fileloc./ftp_fact_map_ic.sas";
  %include "&fileloc./generated_scenario_dim_ic.sas";
  %include "&fileloc./historical_recorded_value_ic.sas";
  %include "&fileloc./instrument_attribute_dim_ic.sas";
  %include "&fileloc./instrument_variable_dim_ic.sas";
  %include "&fileloc./key_sequence_assign_ic.sas";
  %include "&fileloc./libref_mapping_dim_ic.sas";
  %include "&fileloc./limit_mapping_ic.sas";
  %include "&fileloc./limit_type_dim_ic.sas";
  %include "&fileloc./liquidity_fact_ic.sas";
  %include "&fileloc./liquidity_fact_map_ic.sas";
  %include "&fileloc./liquidity_flow_fact_ic.sas";
  %include "&fileloc./liquidity_flow_fact_map_ic.sas";
  %include "&fileloc./market_fact_ic.sas";
  %include "&fileloc./market_fact_map_ic.sas";
  %include "&fileloc./mark_to_market_fact_ic.sas";
  %include "&fileloc./mark_to_market_fact_map_ic.sas";
  %include "&fileloc./micro_data_ic.sas";
  %include "&fileloc./micro_data_ref_dim_ic.sas";
  %include "&fileloc./operational_capital_fact_ic.sas";
  %include "&fileloc./operational_capital_fact_map_ic.sas";
  %include "&fileloc./operational_capital_model_fact_ic.sas";
  %include "&fileloc./optimization_fact_ic.sas";
  %include "&fileloc./optimization_fact_map_ic.sas";
  %include "&fileloc./op_capital_model_fact_map_ic.sas";
  %include "&fileloc./op_risk_category_dim_ic.sas";
  %include "&fileloc./op_risk_report_dim_ic.sas";
  %include "&fileloc./op_risk_report_fact_ic.sas";
  %include "&fileloc./portfolio_fact_ic.sas";
  %include "&fileloc./portfolio_fact_map_ic.sas";
  %include "&fileloc./project_assoc_ic.sas";
  %include "&fileloc./project_dim_ic.sas";
  %include "&fileloc./project_option_set_ic.sas";
  %include "&fileloc./project_type_dim_ic.sas";
  %include "&fileloc./project_user_ic.sas";
  %include "&fileloc./proj_opt_set_x_analysis_result_ic.sas";
  %include "&fileloc./regltry_captl_rpt_catgry_dim_ic.sas";
  %include "&fileloc./regulatory_capital_rpt_dim_ic.sas";
  %include "&fileloc./regulatory_capital_rpt_fact_ic.sas";
  %include "&fileloc./regulatory_fact_ic.sas";
  %include "&fileloc./regulatory_fact_map_ic.sas";
  %include "&fileloc./risk_factor_dim_ic.sas";
  %include "&fileloc./risk_factor_information_fact_ic.sas";
  %include "&fileloc./risk_factor_info_fact_map_ic.sas";
  %include "&fileloc./rr_version_info_ic.sas";
  %include "&fileloc./scenario_attribute_dim_ic.sas";
  %include "&fileloc./scenario_fact_ic.sas";
  %include "&fileloc./scenario_fact_map_ic.sas";
  %include "&fileloc./scenario_result_detail_ic.sas";
  %include "&fileloc./sensitivity_fact_ic.sas";
  %include "&fileloc./sensitivity_fact_map_ic.sas";
  %include "&fileloc./sensitivity_measure_type_dim_ic.sas";
  %include "&fileloc./simulation_state_detail_dim_ic.sas";
  %include "&fileloc./simulation_state_detail_value_ic.sas";
  %include "&fileloc./source_system_dim_ic.sas";
  %include "&fileloc./src_sys_class_group_mapping_ic.sas";
  %include "&fileloc./statistics_fact_ic.sas";
  %include "&fileloc./statistics_fact_map_ic.sas";
  %include "&fileloc./statistics_type_dim_ic.sas";
  %include "&fileloc./surface_coordinates_ic.sas";
  %include "&fileloc./surface_type_dim_ic.sas";
  %include "&fileloc./time_bucket_dim_ic.sas";
  %include "&fileloc./time_bucket_group_dim_ic.sas";
  %include "&fileloc./time_bucket_grp_x_time_bucket_ic.sas";
  %include "&fileloc./time_reference_ic.sas";
  %include "&fileloc./valuation_method_type_dim_ic.sas";
  %include "&fileloc./variable_dim_ic.sas";
quit;
%MEND;
