/*-- Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         Risk Repository 1.4 Maintenance
Subject Area  Analytic Mart
Model Version 
Macro Name    rrr_tbl.sas
DBMS          SAS
Created       11/8/12 8:44:20 AM
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
*/
 /* assign libname for MART libref                                            */ 
 /* set macro variable NUMW_D to the Width and Decimal precision for format statements */ 
 /* assign the macro variable fileloc to location of the DDL                  */ 
%macro rrr_tbl(LIBREF=MART, DTTMFMT=NLDATM21., TMFMT=NLTIMAP11., DTFMT=DATE9., FMTRK=12.,NUMW_D=18.5, fileloc=);
  %include "&fileloc./analysis_result_data.sas";
  %include "&fileloc./analysis_type_dim_data.sas";
  %include "&fileloc./analysis_vars_limit_data.sas";
  %include "&fileloc./archive_control_data.sas";
  %include "&fileloc./asset_liability_type_dim_data.sas";
  %include "&fileloc./balance_sheet_fact_data.sas";
  %include "&fileloc./balance_sheet_fact_map_data.sas";
  %include "&fileloc./balance_sheet_line_item_dim_data.sas";
  %include "&fileloc./calculation_value_detail_data.sas";
  %include "&fileloc./capital_solvency_fact_data.sas";
  %include "&fileloc./capital_solvency_fact_map_data.sas";
  %include "&fileloc./cashflow_detail_data.sas";
  %include "&fileloc./cashflow_dim_data.sas";
  %include "&fileloc./cashflow_fact_data.sas";
  %include "&fileloc./cashflow_fact_map_data.sas";
  %include "&fileloc./classification_dim_data.sas";
  %include "&fileloc./classification_group_dim_data.sas";
  %include "&fileloc./class_var_reference_data.sas";
  %include "&fileloc./code_language_data.sas";
  %include "&fileloc./configuration_dim_data.sas";
  %include "&fileloc./correlation_fact_data.sas";
  %include "&fileloc./correlation_fact_map_data.sas";
  %include "&fileloc./correlation_matrix_dim_data.sas";
  %include "&fileloc./counterparty_dim_data.sas";
  %include "&fileloc./country_dim_data.sas";
  %include "&fileloc./credit_risk_fact_data.sas";
  %include "&fileloc./credit_risk_fact_map_data.sas";
  %include "&fileloc./currency_data.sas";
  %include "&fileloc./curve_coordinates_data.sas";
  %include "&fileloc./curve_type_dim_data.sas";
  %include "&fileloc./data_item_dim_data.sas";
  %include "&fileloc./date_reference_data.sas";
  %include "&fileloc./detail_level_control_data.sas";
  %include "&fileloc./detail_table_type_dim_data.sas";
  %include "&fileloc./economic_capital_fact_data.sas";
  %include "&fileloc./economic_capital_fact_map_data.sas";
  %include "&fileloc./entity_assoc_data.sas";
  %include "&fileloc./entity_dim_data.sas";
  %include "&fileloc./exposure_fact_data.sas";
  %include "&fileloc./exposure_fact_map_data.sas";
  %include "&fileloc./ffeic_manl_audit_trail_detail_data.sas";
  %include "&fileloc./ffiec_manual_audit_trail_dim_data.sas";
  %include "&fileloc./financial_fact_data.sas";
  %include "&fileloc./financial_fact_map_data.sas";
  %include "&fileloc./ftp_fact_data.sas";
  %include "&fileloc./ftp_fact_map_data.sas";
  %include "&fileloc./generated_scenario_dim_data.sas";
  %include "&fileloc./historical_recorded_value_data.sas";
  %include "&fileloc./instrument_attribute_dim_data.sas";
  %include "&fileloc./instrument_variable_dim_data.sas";
  %include "&fileloc./key_sequence_assign_data.sas";
  %include "&fileloc./libref_mapping_dim_data.sas";
  %include "&fileloc./limit_mapping_data.sas";
  %include "&fileloc./limit_type_dim_data.sas";
  %include "&fileloc./liquidity_fact_data.sas";
  %include "&fileloc./liquidity_fact_map_data.sas";
  %include "&fileloc./liquidity_flow_fact_data.sas";
  %include "&fileloc./liquidity_flow_fact_map_data.sas";
  %include "&fileloc./market_fact_data.sas";
  %include "&fileloc./market_fact_map_data.sas";
  %include "&fileloc./mark_to_market_fact_data.sas";
  %include "&fileloc./mark_to_market_fact_map_data.sas";
  %include "&fileloc./micro_data_data.sas";
  %include "&fileloc./micro_data_ref_dim_data.sas";
  %include "&fileloc./operational_capital_fact_data.sas";
  %include "&fileloc./operational_capital_fact_map_data.sas";
  %include "&fileloc./operational_capital_model_fact_data.sas";
  %include "&fileloc./optimization_fact_data.sas";
  %include "&fileloc./optimization_fact_map_data.sas";
  %include "&fileloc./op_capital_model_fact_map_data.sas";
  %include "&fileloc./op_risk_category_dim_data.sas";
  %include "&fileloc./op_risk_report_dim_data.sas";
  %include "&fileloc./op_risk_report_fact_data.sas";
  %include "&fileloc./portfolio_fact_data.sas";
  %include "&fileloc./portfolio_fact_map_data.sas";
  %include "&fileloc./project_assoc_data.sas";
  %include "&fileloc./project_dim_data.sas";
  %include "&fileloc./project_option_set_data.sas";
  %include "&fileloc./project_type_dim_data.sas";
  %include "&fileloc./project_user_data.sas";
  %include "&fileloc./proj_opt_set_x_analysis_result_data.sas";
  %include "&fileloc./regltry_captl_rpt_catgry_dim_data.sas";
  %include "&fileloc./regulatory_capital_rpt_dim_data.sas";
  %include "&fileloc./regulatory_capital_rpt_fact_data.sas";
  %include "&fileloc./regulatory_fact_data.sas";
  %include "&fileloc./regulatory_fact_map_data.sas";
  %include "&fileloc./risk_factor_dim_data.sas";
  %include "&fileloc./risk_factor_information_fact_data.sas";
  %include "&fileloc./risk_factor_info_fact_map_data.sas";
  %include "&fileloc./rr_version_info_data.sas";
  %include "&fileloc./scenario_attribute_dim_data.sas";
  %include "&fileloc./scenario_fact_data.sas";
  %include "&fileloc./scenario_fact_map_data.sas";
  %include "&fileloc./scenario_result_detail_data.sas";
  %include "&fileloc./sensitivity_fact_data.sas";
  %include "&fileloc./sensitivity_fact_map_data.sas";
  %include "&fileloc./sensitivity_measure_type_dim_data.sas";
  %include "&fileloc./simulation_state_detail_dim_data.sas";
  %include "&fileloc./simulation_state_detail_value_data.sas";
  %include "&fileloc./source_system_dim_data.sas";
  %include "&fileloc./src_sys_class_group_mapping_data.sas";
  %include "&fileloc./statistics_fact_data.sas";
  %include "&fileloc./statistics_fact_map_data.sas";
  %include "&fileloc./statistics_type_dim_data.sas";
  %include "&fileloc./surface_coordinates_data.sas";
  %include "&fileloc./surface_type_dim_data.sas";
  %include "&fileloc./time_bucket_dim_data.sas";
  %include "&fileloc./time_bucket_group_dim_data.sas";
  %include "&fileloc./time_bucket_grp_x_time_bucket_data.sas";
  %include "&fileloc./time_reference_data.sas";
  %include "&fileloc./valuation_method_type_dim_data.sas";
  %include "&fileloc./variable_dim_data.sas";
%MEND;
